/***************************************************************************
 *   Copyright (C) 2006 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "textfilter.h"

TextFilter::TextFilter(ConfigPointer cfg) : HonokaPluginBase(String("TextFilter"))
{
    config = cfg;
}


TextFilter::~TextFilter()
{
}

void TextFilter::selected()
{
}

void TextFilter::unSelected()
{
}

String TextFilter::getName()
{
    return String("TextFilter");
}

String TextFilter::getPropertyName()
{
    return getName();
}

const WideString TextFilter::filter(const WideString &text)
{
    return text;
}

const WideString TextFilter::filter(vector<Segment> segments)
{
    WideString text;
    for(unsigned int i = 0;i < segments.size();i ++) {
        text = text + segments[i].getKanji();
    }
    return filter(text);
}



